API to get an template by template id
GET https://services.leadconnectorhq.com/invoices/template/{templateId}
Authorization
Path parameters
Query parameters
Responses
200 - Successful response
_id (string, required): Template Id Example: 6578278e879ad2646715ba9c
altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c
altType (string, required): Possible values: 'account'
name (string, required): Name of the Template Example: New Template
businessDetails (object, required): Business Details
currency (string, required): Currency Example: USD
discount (object): Discount
items (string[], required): Invoice Items
invoiceNumberPrefix (string): prefix for invoice number Example: INV-
total (number, required): Total Amount Example: 999
createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z
updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z
{
"_id": "6578278e879ad2646715ba9c",
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"name": "New Template",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"currency": "USD",
"discount": {
"type": "percentage",
"value": 0
},
"items": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"invoiceNumberPrefix": "INV-",
"total": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z"
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/invoices/template/YOUR_templateId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/invoices/template/YOUR_templateId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/invoices/template/YOUR_templateId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/template/YOUR_templateId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);